Bug 540649 - Amarok layout not fixable with qt-4.6.0
Amarok layout not fixable with qt-4.6.0
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks: qt46
  Show dependency treegraph
 
Reported: 2009-11-23 16:17 EST by Thomas Janssen
Modified: 2010-03-28 18:05 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-28 18:05:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Janssen 2009-11-23 16:17:20 EST
Description of problem:
Trying to resize the layout of amarok lets it jump back to the original position after a few seconds (layout locked). If it holds the position/size one click on "lock layout" makes it jump back to where it was.
You can resize and move, for example the middle part (lyrics) even if the option "lock layout" is checked.

Version-Release number of selected component (if applicable):
2.6.30.9-96.fc11.x86_64
amarok-2.2.1-2.fc11.x86_64
KDE 4.3.3
qt-4.6.0-rc1 (downgraded at the moment to test)

How reproducible:
Always.
Comment 1 Rex Dieter 2009-12-22 08:35:49 EST
Confirmed still present using amarok-2.2.1.90-1 and qt-4.6.0-1
Comment 2 Kevin Kofler 2010-02-09 18:44:09 EST
Is this still happening with current versions of amarok and qt?
Comment 3 Rex Dieter 2010-02-09 18:48:18 EST
Still reproducible here using qt-4.6.1/kde-4.4.0 and amarok-2.2.2
Comment 4 Rex Dieter 2010-02-09 18:52:56 EST
it's not nearly as bad as before, now nothing bounces back, it's almost like the lock layout checkbox does nothing.
Comment 5 Steven M. Parrish 2010-02-27 21:27:26 EST
Thank you for taking the time to report this issue to us.  This is an issue which is best addressed by the upstream developers.

Please file a report at http://bugreports.qt.nokia.com/secure/Dashboard.jspa , and when done add the upstream report info to this report.

We will continue to track the issue in the centralized upstream bug tracker, and will review any bug fixes that become available for consideration in future updates.

Thank you for the bug report.

Steven M. Parrish
KDE & Packagekit Triager 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 6 Kevin Kofler 2010-03-28 18:05:14 EDT
AFAICT, "lock layout" works just as it's supposed to with Amarok 2.3.0 and Qt 4.6.2.

Unchecking "lock layout" enabled the title bars which allow moving and closing stuff, checking it again makes them disappear again. So I don't see where the bug is there. It's either fixed already or I disagree it's a bug.

Note You need to log in before you can comment on or make changes to this bug.